using System;
using System.Collections.ObjectModel;
using NinjaTrader.Cbi;

internal sealed class Delegate112 : MulticastDelegate
{
	public extern Collection<Execution> Invoke(object object_0);

	public static Collection<Execution> smethod_0(object object_0, Delegate112 delegate112_1)
	{
		return delegate112_1(object_0);
	}

	public extern Delegate112(object object_0, IntPtr intptr_0);

	static Delegate112()
	{
		Class10.smethod_13(typeof(Delegate112).TypeHandle);
	}

	internal static Delegate112 delegate112_0;
}
